Bug 176528 - Review Request: MochiKit: A lightweight JavaScript library
Review Request: MochiKit: A lightweight JavaScript library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-12-24 04:51 EST by Ignacio Vazquez-Abrams
Modified: 2009-02-13 19:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-15 18:41:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2005-12-24 04:51:11 EST
Spec Name or Url: http://fedora.ivazquez.net/files/extras/MochiKit.spec
SRPM Name or Url: http://fedora.ivazquez.net/files/extras/MochiKit-1.1-1.src.rpm
Description: MochiKit is a highly-documented and well-tested suite of JavaScript libraries that will help you get stuff done, fast.
Comment 1 Jason Tibbitts 2006-02-02 10:23:14 EST
FYI, 1.2 is out.

rpmlint says:
W: MochiKit invalid-license MIT/Academic

The code is indeed under both MIT and the Academic Free license (
http://www.opensource.org/licenses/afl-2.1.php ) and so meets the packaging
guidelines but I don't know how to satisfy rpmlint.

Are there selinux isues with pointing the web server into /usr/share?  Perhaps
/var/www would be a better location?  (It kind of gives me indigestion to put
such things under /var, but there is precedent in httpd-manual.)
Comment 2 Ignacio Vazquez-Abrams 2006-02-02 10:33:26 EST
(In reply to comment #1)
> Are there selinux isues with pointing the web server into /usr/share?  Perhaps
> /var/www would be a better location?  (It kind of gives me indigestion to put
> such things under /var, but there is precedent in httpd-manual.)

Something I discovered (which gives *me* indigestion...) is that httpd has full
read access to usr_t. Yes, that's right, Apache can read almost anything under /usr.

I will update the package to 1.2 when I get a chance.
Comment 3 Ignacio Vazquez-Abrams 2006-02-08 01:34:32 EST
Updated.

http://fedora.ivazquez.net/files/extras/MochiKit-1.2-1.src.rpm
Comment 4 Jason Tibbitts 2006-02-10 18:32:58 EST
Sorry for taking so long....

After seeing the Cacti package go in, I'll drop any objection I had to storing
the files in /usr/share.  And rpmlint only complains about the license, which is
not an issue since the license is valid.

So:
No rpmlint blockers, just the end-of-line warning.
Package meets naming and packaging guidelines.
License is acceptable and matches License: tag.
Specfile is properly named, legible, well-written, well-commented and uses
macros consistently.
Source file matches upstream.
Package builds and installs on FC3 and FC4.

I'd just like clarification on one thing.  It's not common practise to install
package tests under %doc (or even to install them at all).  I understand that
it's not really possible to execute those tests in any meaningful way at build
time, but I wonder what your reasoning is behind including them in the final
package.  Examples are already included, so the tests don't really add much in
the way of documentation.
Comment 5 Ignacio Vazquez-Abrams 2006-02-12 01:55:40 EST
You're right, it doesn't make much sense. Updated.
Comment 6 Jason Tibbitts 2006-02-12 20:11:40 EST
Cool.  Approved.
Comment 7 Ignacio Vazquez-Abrams 2006-02-15 18:41:30 EST
Built under FC4 and devel.
Comment 8 Adam Miller 2009-02-13 19:31:10 EST
Package Change Request
======================
Package Name: MochiKit
New Branches: EL-4 EL-5
Owners: maxamillion
Comment 9 Kevin Fenzi 2009-02-13 19:49:36 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.